Bug 101130 - Task Portlet creation throws error if 'num tasks' field malformed
Task Portlet creation throws error if 'num tasks' field malformed
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-07-29 11:05 EDT by Dennis Gregorovic
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2003-07-29 11:05:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
When creating a Tasks Portlet, the user is asked to enter "Number of Tasks to
display" with a text field next to it.  If this is anything other than just an
integer, it fails with an ACS Error Report code.  This includes simply any
whitespace.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a new task portlet
2.enter in something other than a simple integer for 'number of tasks'
3.
    

Actual Results:  ACS Error Report Code

Expected Results:  Graceful handling (such as automatically trimming whitespace)
or a  pretty error message

Additional info:
Comment 1 jeffrey menoher 2003-07-29 11:05:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
blank cd no longer mounts for burning after temporary switch to catalog view
(then back to list view).

Files copied to burn:/// folder window, with no indication of overall size in Mbyte.

burn dialog window revealed overall size of 870 Mbyte which exceeded capacity of
medium.  I started deleting files and folders.  I closed the  burn:/// window
and removed the medium.

When reinserting the blank medium, it would not mount, reporting error as
follows: "mount: wrong fs type, bad option, bad superblock on /dev/cdrom1, or
too many file systems"  

rebooting the machine and replacing blank media produces the same results, same
reported error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  boot machine
2. attempt to mount black CD for burning
3.
    

Actual Results:  error report: "mount: wrong fs type, bad option, bad superblock
on /dev/cdrom1, or too many file systems"

Expected Results:  clean mount with no files or directories attached

Additional info:

Redhat 9 loaded into intel 810 motherboard, pentium III 700 machine.
Installation as GNOME workstation for software development.  No special bells or
whistles.
Java 1.4.2 SDK recently installed.
Comment 2 Dennis Gregorovic 2003-07-29 11:07:40 EDT
java.lang.NumberFormatException: 5^M

        at java.lang.Integer.parseInt(Integer.java(Compiled Code))
        at java.lang.Integer.<init>(Integer.java:558)
        at
com.arsdigita.cms.ui.portlet.TaskPortletEditor.processWidgets(TaskPortletEditor.java:78)
        at
com.arsdigita.bebop.portal.PortletConfigFormSection.createResource(PortletConfigFormSection.java:132)
        at
com.arsdigita.portalserver.ui.admin.PortletAddForm$35.process(PortletAddForm.java:807)
        at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
        at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
        at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
        at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
        at com.arsdigita.bebop.Form.process(Form.java:440)
        at com.arsdigita.bebop.Form.respond(Form.java:281)
        at com.arsdigita.bebop.PageState.respond(PageState.java:368)
        at com.arsdigita.bebop.Page.process(Page.java:696)
        at com.arsdigita.bebop.Page.process(Page.java:678)
        at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
        at com.arsdigita.bebop.page.PageDispatcher.dispatch(PageDispatcher.java:77)
        at
com.arsdigita.portalserver.personal.PersonalPortalDispatcher.dispatch(PersonalPortalDispatcher.java:87)
Comment 3 Jon Orris 2003-07-29 11:26:13 EDT
I believe it did handle bad input more gracefully before, and is a regression.

Perhaps a better UI solution is instead of a text box, which renders differently
on IE vs Mozilla, a list box.  Provide a set of values for the user; something
like: 1, 5, 10, 15, 20, 25, 50, 100. 

This guarantees type correctness, and makes the UI a little simpler while
maintaining flexibility. It's unlikely a user would want exactly 2, 11, or 900
tasks.

Comment 4 Richard Li 2003-07-29 11:34:58 EDT
Retarget for Troika errata for now
Comment 5 Jon Orris 2006-09-05 13:34:22 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.